Bug 195408 - API docs show authenticated navbar after logging out
API docs show authenticated navbar after logging out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Brandon Perkins
:
Depends On:
Blocks: 169454
  Show dependency treegraph
 
Reported: 2006-06-14 22:18 EDT by Jesus M. Rodriguez
Modified: 2007-04-18 13:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 14:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2006-06-14 22:18:13 EDT
Description of problem:
Browsing to /rhn/apidoc/ (or /rpc/api/) after logging out
still shows the authenticated navbar


Version-Release number of selected component (if applicable):


How reproducible:
1) browse to rhn.webqa.redhat.com, ensure you are logged out.
2) browse to /rhn/apidoc/ see unauthenticated nav bar
3) click a few of the namespaces, verify each nav bar
4) now login to RHN again
5) browse back to /rhn/apidoc/, notice unauth navbar is shown
6) browse to a namespace you didn't try yet in step 3.  Notice
   it has the authenticated navbar


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
api docs should show the navbar depending on the state
of your login

Additional info:
Comment 1 Jesus M. Rodriguez 2006-06-16 17:57:59 EDT
TEST PLAN
==================
see original comment.
Comment 2 Jesus M. Rodriguez 2006-06-19 18:41:36 EDT
Moving to ON_QA
Comment 3 Brandon Perkins 2006-06-20 13:01:22 EDT
Verified Fixed.
Comment 4 Beth Nackashi 2006-07-19 14:51:19 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.